--- title: "Inventory Configuration Management" slug: "inventory-configuration-management" updated: 2026-06-29T17:07:46Z published: 2026-06-29T17:07:46Z canonical: "docs.wasabi.com/inventory-configuration-management" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt > Use this file to discover all available pages before exploring further. # Inventory Configuration Management Wasabi’s S3-compatible Inventory generates scheduled per-bucket object listings (with selected metadata). Manage it using standard S3 Inventory APIs to set the frequency (daily/weekly), scope/prefix, versions (current/all), and which fields to include (such as size, ETag, encryption status, tags). Reports are written to a destination bucket of your choice. Inventory is fully S3-API compatible and uses existing AWS S3 SDKs/CLI with Wasabi endpoints. This article explains required permissions and provides sample requests. ## Creating a Single-Source, Single-Destination Inventory (No Filter, No ETag) This sample request shows how to configure an inventory that exports all objects from one source bucket to a single destination bucket, with no filter applied and the ETag field excluded. ```json PUT https://s3.. wasabisys.com/?inventory&id= ``` Request Body ```xml        true                                      CSV            arn:aws:s3:::                Daily    Current         ``` Status: 204 No Content ## Creating a Single-Source, Single-Destination Inventory (With Filter and ETag) This sample request shows how to configure an inventory that exports all objects from one source bucket to a single destination bucket, with a filter and ETag field applied. ```json PUT https://s3.. wasabisys.com/?inventory&id= ``` Request Body ```xml        true      testing                                CSV            arn:aws:s3:::                Daily    Current ETag ``` Status: 404 No Content ## Creating an Inventory Configuration With a Prefix and Optional Fields If you create an inventory with a `Prefix` under `<S3BucketDestination>`, the inventory file must exist in this path: / / / < Time stamp> / In addition, these optional fields are supported: ETag Size LastModifiedDate ReplicationStatus IsMultipartUploaded EncryptionStatus StorageClass ChecksumAlgorithm ObjectAccessControlList ObjectOwner ObjectLockRetainUntilDate ObjectLockMode ObjectLockLegalHoldStatus In the following example, Previx and optional fields are added under to create a new inventory configuration. ```json PUT https://s3..wasabisys.com/ ``` Request Body ```xml                        arn:aws:s3:::objectlocktest            CSV            jawakhar                jawakhar-march0401    All    true            Daily              Size      LastModifiedDate      ReplicationStatus      IsMultipartUploaded      EncryptionStatus      StorageClass      ETag      ChecksumAlgorithm      ObjectAccessControlList      ObjectOwner      ObjectLockRetainUntilDate      ObjectLockMode      ObjectLockLegalHoldStatus     ``` Response: 204 No Content ## Updating an Existing Inventory Configuration This sample request shows how to update the inventory configuration for a specified source bucket in a specified region. ```json PUT https://s3.. Wasabisys.com/source-bkt-1?inventory&id=inventory-report-1 ``` Request Body ```xml    inventory-report-1    true      Folder                                CSV            arn:aws:s3:::destination-bkt-1                Daily    Current         ``` Status:204 No Content ## Retrieving an Inventory Configuration This sample request shows how to fetch the inventory configuration (by report ID) for the specified source bucket in a specified region. ```json GET https://s3.. wasabisys.com/?inventory&id= ``` Status: 200 OK ## Deleting an Inventory Configuration This sample request shows how to delete the specified inventory configuration (by report ID) from the source bucket in a specified region. ```json DELETE  https://s3.. wasabisys.com/?inventory&id= ``` Status: 200 OK